GET
List block webhooks
Returns block webhooks. The types of webhooks are block and
wallet_confirmation notifications.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol.
Responses
200
OK
Response Body
object
-
webhooksarray of objectswebhooks object
-
typestring enumblockwallet_confirmation -
userIdstring -
idstring -
labelstring -
createdstring date-time -
coinstringA cryptocurrency or token ticker symbol. -
typestring enumEvent type to listen to.txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpireunspentExpirypendingapprovaladdress_confirmationlowFeeblockadmincircuitBreakertransaction_finality_on_l1lowFeeAddressBalancestuckTx -
urlstring uri required -
versioninteger2 for coins running on API v2. -
numConfirmationsinteger -
statestring enumIfactive, indicates the webhook can trigger and send to the URL. Ifsuspended, indicates the webhook can't trigger.activesuspended -
lastAttemptstring date-time -
failingSincestring date-time -
successiveFailedAttemptsinteger -
walletIdstring -
allowBlockedHostsboolean -
allTokenboolean -
txRequestStatesarray of string enumsIf present, only transaction request state changes from the list will trigger notifications. If not present, all transaction request state changes will trigger notifications.initializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
txRequestTransactionStatesarray of string enumsIf present, only transaction request transaction state changes from the list will trigger notifications. If not present, all transaction request transaction state changes will trigger notifications.initializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGSharereadyToCombineSharessignedhelddeliveredinvalidSignaturerejectedecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3 -
identityStatusarray of string enumsIf present, only identity status changes from the list will trigger notifications. If not present, all identity status changes will trigger notifications.approveddeclinedinput errorssn errorgov id errorssn verifiedgov id verifiedevaluating submissionawaiting document uploadrecords uploadedin reviewincomplete verificationsawaiting signaturesignature submittedinitiatingadditional information submitted -
userKycStatearray of string enumsIf present, only user kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.approvedpendingrejected -
enterpriseKycStatearray of string enumsIf present, only enterprise kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.approvedpendingrejected
-